package info.knacki.pass.ui.alertPrompt.views;

import android.content.Context;
import android.support.v7.widget.AppCompatImageView;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.LinearLayout;

import info.knacki.pass.R;

public class FingerprintView extends LinearLayout {
    private final AppCompatImageView image;

    public FingerprintView(Context context) {
        super(context);
        View v = LayoutInflater.from(context).inflate(R.layout.fingerprint_picker, this);
        image = v.findViewById(R.id.fingerprint_icon);
    }

    public void onAuthFailed() {
        image.setBackgroundResource(R.drawable.ic_fingerprint_fail);
    }
}
